MESONCONF(1)

NAME
mesonintrospect - a tool to extract information about a Meson build

DESCRIPTION
Mesonintrospect is a tool designed to make it simple to integrate with other tools, such as IDEs. The output of this command is in JSON. mesonintrospect [ build directory ] [ option ] If build directory is omitted, the current directory is used instead.

  options:

--targets
    print all top level targets (executables, libraries, etc)

--target-files
    print the source files of the given target

--buildsystem-files
    print all files that make up the build system (meson.build, meson_options.txt etc)

--tests
    print all unit tests

--help
    print command line help

SEE ALSO
http://mesonbuild.com/